local addon, ns = ...

local Defaults = {
	HKVis = true,
	MenuVis = true,
	G13MainBar = {
		point = "BOTTOM", 
		xOfs = 0, 
		yOfs = 21
	},
	G13BRBar = {
		point = "BOTTOM", 
		xOfs = 600, 
		yOfs = 21
	},
	G13PetBar = {
		point = "BOTTOM", 
		xOfs = 535, 
		yOfs = 150
	},
	G13StanceBar = {
		point = "BOTTOM", 
		xOfs = 422, 
		yOfs = 150
	},
	G13BagBar = {
		point = "BOTTOM", 
		xOfs = 770, 
		yOfs = 67
	},
	G13MenuBar = {
		point = "BOTTOM", 
		xOfs = 491, 
		yOfs = 67
	},
	G13XPBar = {
		point = "TOP", 
		xOfs = 0, 
		yOfs = -21
	},
	G13CastBar = {
		point = "BOTTOM", 
		xOfs = 0, 
		yOfs = 190
	}
}

--This frame is simply to handle the events so we can get the SavedVariables
local frame = CreateFrame("Frame")
frame:RegisterEvent("ADDON_LOADED")
frame:SetScript("OnEvent", function(self)
	--Set the defaults if there aren't SavedVaiables values
	if G13BarManager == nil then
		G13BarManager = Defaults
	end
	--If there are old version default, but not updated ones, fill the new ones
	if G13BarManager.G13CastBar == nil then
		G13BarManager.G13XPBar = Defaults.G13XPBar
		G13BarManager.G13CastBar = Defaults.G13CastBar
	end
	ns.cfg = G13BarManager
end)
	
--This reparents a list of objects (usually buttons in our case).
function ns.MoveElements(ElementList, FrameName)
	for _, v in pairs(ElementList) do
		v:SetParent(FrameName)
	end
end

function ns.HideElements(ElementList)
	for _, v in pairs(ElementList) do
		v:Hide()
	end
end

function ns.ShowElements(ElementList)
	for _, v in pairs(ElementList) do
		v:Show()
	end
end

local function PetBarClass()
	local ClassName = UnitClass("Player")
	if ClassName == "Warlock" then
		return true
	elseif ClassName == "Hunter" then
		return true
	elseif ClassName == "Death Knight" then
		return true
	else
		return false
	end
end

function ns.PetBarNeeded()
	if PetBarClass() and PetHasActionBar() then
		return true
	else
		return false
	end
end

function ns.StanceBarNeeded()
	local ClassName = UnitClass("Player")
	if ClassName == "Druid" then
		return true
	else
		return false
	end
end