local addon, ns = ...

local bar = G13MenuBar
bar:SetSize(290, 41)

--This code will not work as the G13MenuBar is designed to have
--selectable visibility.  This will override that and render our code useless.
--We will have to manually check for pet battles and having the vehicle UI.
RegisterStateDriver(bar, "visibility", "[petbattle] hide; [vehicleui] hide; show")

ns.MenuButtons = {
	CharacterMicroButton,
	SpellbookMicroButton,
	TalentMicroButton,
	AchievementMicroButton,
	QuestLogMicroButton,
	GuildMicroButton,
	LFDMicroButton,
	CollectionsMicroButton,
	EJMicroButton,
	StoreMicroButton,
	MainMenuMicroButton,
	HelpMicroButton
}

local function SetMicroButtons()
	CharacterMicroButton:ClearAllPoints()
	CharacterMicroButton:SetPoint("BOTTOMLEFT", bar, 3, 2) 
end

local function ReParent()
	ns.MoveElements(ns.MenuButtons, bar)
end

hooksecurefunc("UpdateMicroButtonsParent", function() 
	ReParent()
end)

hooksecurefunc("UpdateMicroButtons", function() 
	SetMicroButtons()
	if ns.cfg.MenuVis == false then
		--ns.HideElements(ns.MenuButtons)
		for _, v in pairs(ns.MenuButtons) do
			v:SetAlpha(0)
		end
	end
end)

SetMicroButtons()